src.m.Abonnement.Client Class Reference

Représentation d'un Client de DreamPark. More...

## Public Member Functions

def | __init__
| Constructeur du Client. More...
def | maj (self, nom, prenom, cb, typeAbonnement)
| Mise a jour du Client. More...
def | desabo (self)
| Desabonne le Client en le supprimant.
def | prenom (self)
| Propriete : prenom du Client.
def | nom (self)
| Propriete : nom du Client.
def | id (self)
| Propriete : id du Client.
def | cb (self)
| Propriete : cb du Client.
def | abonnement (self)
| Propriete : abonnement du Client.
def | __str__ (self)
| Representation du Client en chaine.

## Static Public Member Functions

def | nbSuperAbo ()
| Retourne le nombre de super abonné More...
def | nbAbo ()
| Retourne le nombre d'abonné More...

## Detailed Description

Représentation d'un Client de DreamPark.

## Constructor & Destructor Documentation

def src.m.Abonnement.Client.__init__ | ( |  | self,
|  |  | id,
|  |  | nom = `None`,
|  |  | prenom = `None`,
|  |  | cb = `None`,
|  |  | typeAbonnement = `None`
| ) |  |

Constructeur du Client.

Parameters

  id | Si None : Création du Client dans la bd a l'aide des autres parametres. Sinon : tentative de récupération du client avec cet id dans la bd
  nom | nom du Client si creation
  prenom | prenom du Client si creation
  cb | cb du Client si creation
  typeAbonnement | typeabonnement du client si creation

## Member Function Documentation

def src.m.Abonnement.Client.maj | ( |  | self,
|  |  | nom,
|  |  | prenom,
|  |  | cb,
|  |  | typeAbonnement
| ) |  |

Mise a jour du Client.

Parameters

  nom | nouveau nom
  prenom | nouveau prenom
  cb | nouveau cb
  typeAbonnement | nouveau TypeAbonnement

def src.m.Abonnement.Client.nbAbo | ( |  | ) |

static

Retourne le nombre d'abonné

Returns
  nombre d'abonné

def src.m.Abonnement.Client.nbSuperAbo | ( |  | ) |

static

Retourne le nombre de super abonné

Returns
  nombre de super abonné

The documentation for this class was generated from the following file:

- src/m/Abonnement.py